<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN" "http://www.w3.org/TR/html4/loose.dtd">
<!-- NewPage -->
<html lang="en">
<head>
<!-- Generated by javadoc (1.8.0_231) on Fri Dec 06 14:58:25 GMT 2019 -->
<title>Uses of Class board.PurchaseableSquare</title>
<meta name="date" content="2019-12-06">
<link rel="stylesheet" type="text/css" href="../../stylesheet.css" title="Style">
<script type="text/javascript" src="../../script.js"></script>
</head>
<body>
<script type="text/javascript"><!--
    try {
        if (location.href.indexOf('is-external=true') == -1) {
            parent.document.title="Uses of Class board.PurchaseableSquare";
        }
    }
    catch(err) {
    }
//-->
</script>
<noscript>
<div>JavaScript is disabled on your browser.</div>
</noscript>
<!-- ========= START OF TOP NAVBAR ======= -->
<div class="topNav"><a name="navbar.top">
<!--   -->
</a>
<div class="skipNav"><a href="#skip.navbar.top" title="Skip navigation links">Skip navigation links</a></div>
<a name="navbar.top.firstrow">
<!--   -->
</a>
<ul class="navList" title="Navigation">
<li><a href="../../overview-summary.html">Overview</a></li>
<li><a href="../package-summary.html">Package</a></li>
<li><a href="../../board/PurchaseableSquare.html" title="class in board">Class</a></li>
<li class="navBarCell1Rev">Use</li>
<li><a href="../package-tree.html">Tree</a></li>
<li><a href="../../deprecated-list.html">Deprecated</a></li>
<li><a href="../../index-files/index-1.html">Index</a></li>
<li><a href="../../help-doc.html">Help</a></li>
</ul>
</div>
<div class="subNav">
<ul class="navList">
<li>Prev</li>
<li>Next</li>
</ul>
<ul class="navList">
<li><a href="../../index.html?board/class-use/PurchaseableSquare.html" target="_top">Frames</a></li>
<li><a href="PurchaseableSquare.html" target="_top">No&nbsp;Frames</a></li>
</ul>
<ul class="navList" id="allclasses_navbar_top">
<li><a href="../../allclasses-noframe.html">All&nbsp;Classes</a></li>
</ul>
<div>
<script type="text/javascript"><!--
  allClassesLink = document.getElementById("allclasses_navbar_top");
  if(window==top) {
    allClassesLink.style.display = "block";
  }
  else {
    allClassesLink.style.display = "none";
  }
  //-->
</script>
</div>
<a name="skip.navbar.top">
<!--   -->
</a></div>
<!-- ========= END OF TOP NAVBAR ========= -->
<div class="header">
<h2 title="Uses of Class board.PurchaseableSquare" class="title">Uses of Class<br>board.PurchaseableSquare</h2>
</div>
<div class="classUseContainer">
<ul class="blockList">
<li class="blockList">
<table class="useSummary" border="0" cellpadding="3" cellspacing="0" summary="Use table, listing packages, and an explanation">
<caption><span>Packages that use <a href="../../board/PurchaseableSquare.html" title="class in board">PurchaseableSquare</a></span><span class="tabEnd">&nbsp;</span></caption>
<tr>
<th class="colFirst" scope="col">Package</th>
<th class="colLast" scope="col">Description</th>
</tr>
<tbody>
<tr class="altColor">
<td class="colFirst"><a href="#board">board</a></td>
<td class="colLast">&nbsp;</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><a href="#game">game</a></td>
<td class="colLast">&nbsp;</td>
</tr>
<tr class="altColor">
<td class="colFirst"><a href="#player">player</a></td>
<td class="colLast">&nbsp;</td>
</tr>
</tbody>
</table>
</li>
<li class="blockList">
<ul class="blockList">
<li class="blockList"><a name="board">
<!--   -->
</a>
<h3>Uses of <a href="../../board/PurchaseableSquare.html" title="class in board">PurchaseableSquare</a> in <a href="../../board/package-summary.html">board</a></h3>
<table class="useSummary" border="0" cellpadding="3" cellspacing="0" summary="Use table, listing subclasses, and an explanation">
<caption><span>Subclasses of <a href="../../board/PurchaseableSquare.html" title="class in board">PurchaseableSquare</a> in <a href="../../board/package-summary.html">board</a></span><span class="tabEnd">&nbsp;</span></caption>
<tr>
<th class="colFirst" scope="col">Modifier and Type</th>
<th class="colLast" scope="col">Class and Description</th>
</tr>
<tbody>
<tr class="altColor">
<td class="colFirst"><code>class&nbsp;</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../board/Property.html" title="class in board">Property</a></span></code>
<div class="block">Monopoly Property</div>
</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><code>class&nbsp;</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../board/Transport.html" title="class in board">Transport</a></span></code>
<div class="block">Transport (Railroad) squares</div>
</td>
</tr>
<tr class="altColor">
<td class="colFirst"><code>class&nbsp;</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../board/Utilities.html" title="class in board">Utilities</a></span></code>
<div class="block">Utility Squares</div>
</td>
</tr>
</tbody>
</table>
</li>
<li class="blockList"><a name="game">
<!--   -->
</a>
<h3>Uses of <a href="../../board/PurchaseableSquare.html" title="class in board">PurchaseableSquare</a> in <a href="../../game/package-summary.html">game</a></h3>
<table class="useSummary" border="0" cellpadding="3" cellspacing="0" summary="Use table, listing methods, and an explanation">
<caption><span>Methods in <a href="../../game/package-summary.html">game</a> with parameters of type <a href="../../board/PurchaseableSquare.html" title="class in board">PurchaseableSquare</a></span><span class="tabEnd">&nbsp;</span></caption>
<tr>
<th class="colFirst" scope="col">Modifier and Type</th>
<th class="colLast" scope="col">Method and Description</th>
</tr>
<tbody>
<tr class="altColor">
<td class="colFirst"><code>void</code></td>
<td class="colLast"><span class="typeNameLabel">Messenger.</span><code><span class="memberNameLink"><a href="../../game/Messenger.html#bought-player.Player-board.PurchaseableSquare-">bought</a></span>(<a href="../../player/Player.html" title="class in player">Player</a>&nbsp;p,
      <a href="../../board/PurchaseableSquare.html" title="class in board">PurchaseableSquare</a>&nbsp;psq)</code>&nbsp;</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><code>boolean</code></td>
<td class="colLast"><span class="typeNameLabel">Game.</span><code><span class="memberNameLink"><a href="../../game/Game.html#Buy-player.Player-board.PurchaseableSquare-">Buy</a></span>(<a href="../../player/Player.html" title="class in player">Player</a>&nbsp;player,
   <a href="../../board/PurchaseableSquare.html" title="class in board">PurchaseableSquare</a>&nbsp;psq)</code>
<div class="block">Checks whether a play can afford a square</div>
</td>
</tr>
<tr class="altColor">
<td class="colFirst"><code>boolean</code></td>
<td class="colLast"><span class="typeNameLabel">Game.</span><code><span class="memberNameLink"><a href="../../game/Game.html#chargeRent-player.Player-board.PurchaseableSquare-">chargeRent</a></span>(<a href="../../player/Player.html" title="class in player">Player</a>&nbsp;player,
          <a href="../../board/PurchaseableSquare.html" title="class in board">PurchaseableSquare</a>&nbsp;psq)</code>
<div class="block">Calculates the correct rent to be charged to the player who lands on a square owned by another player
 Works for Any type of purchaseable square</div>
</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><code>boolean</code></td>
<td class="colLast"><span class="typeNameLabel">Game.</span><code><span class="memberNameLink"><a href="../../game/Game.html#checkBuy-player.Player-board.PurchaseableSquare-">checkBuy</a></span>(<a href="../../player/Player.html" title="class in player">Player</a>&nbsp;player,
        <a href="../../board/PurchaseableSquare.html" title="class in board">PurchaseableSquare</a>&nbsp;psq)</code>
<div class="block">Checks whether a player wants to buy a square</div>
</td>
</tr>
<tr class="altColor">
<td class="colFirst"><code>boolean</code></td>
<td class="colLast"><span class="typeNameLabel">Bid.</span><code><span class="memberNameLink"><a href="../../game/Bid.html#getBid-board.PurchaseableSquare-java.util.ArrayList-boolean-game.Bid-">getBid</a></span>(<a href="../../board/PurchaseableSquare.html" title="class in board">PurchaseableSquare</a>&nbsp;psq,
      java.util.ArrayList&lt;<a href="../../player/Player.html" title="class in player">Player</a>&gt;&nbsp;players,
      boolean&nbsp;debug,
      <a href="../../game/Bid.html" title="class in game">Bid</a>&nbsp;currentBid)</code>
<div class="block">Gets a new bid with input from the player</div>
</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><code>void</code></td>
<td class="colLast"><span class="typeNameLabel">Messenger.</span><code><span class="memberNameLink"><a href="../../game/Messenger.html#printAuction-java.util.ArrayList-board.PurchaseableSquare-">printAuction</a></span>(java.util.ArrayList&lt;<a href="../../player/Player.html" title="class in player">Player</a>&gt;&nbsp;players,
            <a href="../../board/PurchaseableSquare.html" title="class in board">PurchaseableSquare</a>&nbsp;psq)</code>&nbsp;</td>
</tr>
<tr class="altColor">
<td class="colFirst"><code>void</code></td>
<td class="colLast"><span class="typeNameLabel">Messenger.</span><code><span class="memberNameLink"><a href="../../game/Messenger.html#printAvailableToBuy-board.PurchaseableSquare-int-">printAvailableToBuy</a></span>(<a href="../../board/PurchaseableSquare.html" title="class in board">PurchaseableSquare</a>&nbsp;psq,
                   int&nbsp;rentMultiplier)</code>&nbsp;</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><code>void</code></td>
<td class="colLast"><span class="typeNameLabel">Messenger.</span><code><span class="memberNameLink"><a href="../../game/Messenger.html#printMortgaged-board.PurchaseableSquare-">printMortgaged</a></span>(<a href="../../board/PurchaseableSquare.html" title="class in board">PurchaseableSquare</a>&nbsp;psq)</code>&nbsp;</td>
</tr>
</tbody>
</table>
<table class="useSummary" border="0" cellpadding="3" cellspacing="0" summary="Use table, listing methods, and an explanation">
<caption><span>Method parameters in <a href="../../game/package-summary.html">game</a> with type arguments of type <a href="../../board/PurchaseableSquare.html" title="class in board">PurchaseableSquare</a></span><span class="tabEnd">&nbsp;</span></caption>
<tr>
<th class="colFirst" scope="col">Modifier and Type</th>
<th class="colLast" scope="col">Method and Description</th>
</tr>
<tbody>
<tr class="altColor">
<td class="colFirst"><code>java.lang.String</code></td>
<td class="colLast"><span class="typeNameLabel">Input.</span><code><span class="memberNameLink"><a href="../../game/Input.html#getSquareName-java.util.ArrayList-">getSquareName</a></span>(java.util.ArrayList&lt;<a href="../../board/PurchaseableSquare.html" title="class in board">PurchaseableSquare</a>&gt;&nbsp;hand)</code>
<div class="block">Gets the name of the desired square</div>
</td>
</tr>
</tbody>
</table>
</li>
<li class="blockList"><a name="player">
<!--   -->
</a>
<h3>Uses of <a href="../../board/PurchaseableSquare.html" title="class in board">PurchaseableSquare</a> in <a href="../../player/package-summary.html">player</a></h3>
<table class="useSummary" border="0" cellpadding="3" cellspacing="0" summary="Use table, listing methods, and an explanation">
<caption><span>Methods in <a href="../../player/package-summary.html">player</a> that return types with arguments of type <a href="../../board/PurchaseableSquare.html" title="class in board">PurchaseableSquare</a></span><span class="tabEnd">&nbsp;</span></caption>
<tr>
<th class="colFirst" scope="col">Modifier and Type</th>
<th class="colLast" scope="col">Method and Description</th>
</tr>
<tbody>
<tr class="altColor">
<td class="colFirst"><code>java.util.ArrayList&lt;<a href="../../board/PurchaseableSquare.html" title="class in board">PurchaseableSquare</a>&gt;</code></td>
<td class="colLast"><span class="typeNameLabel">Player.</span><code><span class="memberNameLink"><a href="../../player/Player.html#getHand--">getHand</a></span>()</code>&nbsp;</td>
</tr>
</tbody>
</table>
<table class="useSummary" border="0" cellpadding="3" cellspacing="0" summary="Use table, listing methods, and an explanation">
<caption><span>Methods in <a href="../../player/package-summary.html">player</a> with parameters of type <a href="../../board/PurchaseableSquare.html" title="class in board">PurchaseableSquare</a></span><span class="tabEnd">&nbsp;</span></caption>
<tr>
<th class="colFirst" scope="col">Modifier and Type</th>
<th class="colLast" scope="col">Method and Description</th>
</tr>
<tbody>
<tr class="altColor">
<td class="colFirst"><code>void</code></td>
<td class="colLast"><span class="typeNameLabel">Player.</span><code><span class="memberNameLink"><a href="../../player/Player.html#addToHand-board.PurchaseableSquare-">addToHand</a></span>(<a href="../../board/PurchaseableSquare.html" title="class in board">PurchaseableSquare</a>&nbsp;newSquare)</code>&nbsp;</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><code><a href="../../game/Bid.html" title="class in game">Bid</a></code></td>
<td class="colLast"><span class="typeNameLabel">Bank.</span><code><span class="memberNameLink"><a href="../../player/Bank.html#auction-board.PurchaseableSquare-java.util.ArrayList-boolean-">auction</a></span>(<a href="../../board/PurchaseableSquare.html" title="class in board">PurchaseableSquare</a>&nbsp;psq,
       java.util.ArrayList&lt;<a href="../../player/Player.html" title="class in player">Player</a>&gt;&nbsp;players,
       boolean&nbsp;debug)</code>
<div class="block">Hosts auctions when a property is not purchased</div>
</td>
</tr>
<tr class="altColor">
<td class="colFirst"><code>boolean</code></td>
<td class="colLast"><span class="typeNameLabel">Player.</span><code><span class="memberNameLink"><a href="../../player/Player.html#sellProperty-player.Player-board.PurchaseableSquare-int-">sellProperty</a></span>(<a href="../../player/Player.html" title="class in player">Player</a>&nbsp;Buyer,
            <a href="../../board/PurchaseableSquare.html" title="class in board">PurchaseableSquare</a>&nbsp;p,
            int&nbsp;money)</code>
<div class="block">sellProperty returns true if the property was sold successfully.</div>
</td>
</tr>
</tbody>
</table>
<table class="useSummary" border="0" cellpadding="3" cellspacing="0" summary="Use table, listing methods, and an explanation">
<caption><span>Method parameters in <a href="../../player/package-summary.html">player</a> with type arguments of type <a href="../../board/PurchaseableSquare.html" title="class in board">PurchaseableSquare</a></span><span class="tabEnd">&nbsp;</span></caption>
<tr>
<th class="colFirst" scope="col">Modifier and Type</th>
<th class="colLast" scope="col">Method and Description</th>
</tr>
<tbody>
<tr class="altColor">
<td class="colFirst"><code>void</code></td>
<td class="colLast"><span class="typeNameLabel">Player.</span><code><span class="memberNameLink"><a href="../../player/Player.html#setHand-java.util.ArrayList-">setHand</a></span>(java.util.ArrayList&lt;<a href="../../board/PurchaseableSquare.html" title="class in board">PurchaseableSquare</a>&gt;&nbsp;hand)</code>&nbsp;</td>
</tr>
</tbody>
</table>
</li>
</ul>
</li>
</ul>
</div>
<!-- ======= START OF BOTTOM NAVBAR ====== -->
<div class="bottomNav"><a name="navbar.bottom">
<!--   -->
</a>
<div class="skipNav"><a href="#skip.navbar.bottom" title="Skip navigation links">Skip navigation links</a></div>
<a name="navbar.bottom.firstrow">
<!--   -->
</a>
<ul class="navList" title="Navigation">
<li><a href="../../overview-summary.html">Overview</a></li>
<li><a href="../package-summary.html">Package</a></li>
<li><a href="../../board/PurchaseableSquare.html" title="class in board">Class</a></li>
<li class="navBarCell1Rev">Use</li>
<li><a href="../package-tree.html">Tree</a></li>
<li><a href="../../deprecated-list.html">Deprecated</a></li>
<li><a href="../../index-files/index-1.html">Index</a></li>
<li><a href="../../help-doc.html">Help</a></li>
</ul>
</div>
<div class="subNav">
<ul class="navList">
<li>Prev</li>
<li>Next</li>
</ul>
<ul class="navList">
<li><a href="../../index.html?board/class-use/PurchaseableSquare.html" target="_top">Frames</a></li>
<li><a href="PurchaseableSquare.html" target="_top">No&nbsp;Frames</a></li>
</ul>
<ul class="navList" id="allclasses_navbar_bottom">
<li><a href="../../allclasses-noframe.html">All&nbsp;Classes</a></li>
</ul>
<div>
<script type="text/javascript"><!--
  allClassesLink = document.getElementById("allclasses_navbar_bottom");
  if(window==top) {
    allClassesLink.style.display = "block";
  }
  else {
    allClassesLink.style.display = "none";
  }
  //-->
</script>
</div>
<a name="skip.navbar.bottom">
<!--   -->
</a></div>
<!-- ======== END OF BOTTOM NAVBAR ======= -->
</body>
</html>
